Bug 178579 - converters/p5-Unicode-IMAPUtf7: Update MASTER_SITES
Summary: converters/p5-Unicode-IMAPUtf7: Update MASTER_SITES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-13 19:10 UTC by tkato432
Modified: 2013-05-15 06:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.25 KB, patch)
2013-05-13 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-05-13 18:54:25 UTC
>Number:         178579
>Category:       ports
>Synopsis:       converters/p5-Unicode-IMAPUtf7: Update MASTER_SITES
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 18:10:03 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     KATO Tsuguru
>Release:        FreeBSD 7.4-RELEASE-p11 i386
>Organization:
>Environment:
>Description:
- Update MASTER_SITES
- Add LICENSE

>How-To-Repeat:
>Fix:

diff -urN /usr/ports/converters/p5-Unicode-IMAPUtf7/Makefile converters/p5-Unicode-IMAPUtf7/Makefile
--- /usr/ports/converters/p5-Unicode-IMAPUtf7/Makefile	2012-11-08 07:14:41.000000000 +0900
+++ converters/p5-Unicode-IMAPUtf7/Makefile	2013-05-14 00:00:49.000000000 +0900
@@ -1,20 +1,19 @@
-# New ports collection makefile for:	Unicode::IMAPUtf7
-# Date created:				25 Jan 2002
-# Whom:					Seamus Venasse <svenasse@polaris.ca>
-#
+# Created by: Seamus Venasse <svenasse@polaris.ca>
 # $FreeBSD: head/converters/p5-Unicode-IMAPUtf7/Makefile 301441 2012-07-24 07:19:21Z cs $
-#
 
 PORTNAME=	Unicode-IMAPUtf7
 PORTVERSION=	2.01
 CATEGORIES=	converters perl5
 MASTER_SITES=	CPAN
-MASTER_SITE_SUBDIR=	Unicode/FABPOT
+MASTER_SITE_SUBDIR=	CPAN:FABPOT
 PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Perl extension to deal with IMAP UTF-7
 
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
 BUILD_DEPENDS=	p5-Unicode-String>=0:${PORTSDIR}/converters/p5-Unicode-String
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
@@ -23,8 +22,6 @@
 MAN3=		Unicode::IMAPUtf7.3
 
 post-extract:	# breaks non-root build otherwise
-	${CHMOD} u+x ${WRKSRC}
-	${CHMOD} u+x ${WRKSRC}/t ${WRKSRC}/lib
-	${CHMOD} u+x ${WRKSRC}/lib/Unicode
+	@${FIND} ${WRKSRC} -type d | ${XARGS} ${CHMOD} a+rx
 
 .include <bsd.port.mk>
>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 tkato432 2013-05-13 19:10:03 UTC
- Update MASTER_SITES
- Add LICENSE
Comment 2 Edwin Groothuis freebsd_committer 2013-05-13 19:10:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2013-05-14 17:30:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-05-14 17:30:18 UTC
Author: miwi
Date: Tue May 14 16:30:01 2013
New Revision: 318170
URL: http://svnweb.freebsd.org/changeset/ports/318170

Log:
  - Update MASTER_SITES
  - Add LICENSE
  - Fix plist
  - Bump PORTREVISION
  
  PR:		178579
  Submitted by:	Ports Fury

Modified:
  head/converters/p5-Unicode-IMAPUtf7/Makefile   (contents, props changed)
  head/converters/p5-Unicode-IMAPUtf7/pkg-plist   (contents, props changed)

Modified: head/converters/p5-Unicode-IMAPUtf7/Makefile
==============================================================================
--- head/converters/p5-Unicode-IMAPUtf7/Makefile	Tue May 14 16:19:38 2013	(r318169)
+++ head/converters/p5-Unicode-IMAPUtf7/Makefile	Tue May 14 16:30:01 2013	(r318170)
@@ -1,30 +1,28 @@
-# New ports collection makefile for:	Unicode::IMAPUtf7
-# Date created:				25 Jan 2002
-# Whom:					Seamus Venasse <svenasse@polaris.ca>
-#
+# Created by: Seamus Venasse <svenasse@polaris.ca>
 # $FreeBSD$
-#
 
 PORTNAME=	Unicode-IMAPUtf7
 PORTVERSION=	2.01
+PORTREVISION=	1
 CATEGORIES=	converters perl5
 MASTER_SITES=	CPAN
-MASTER_SITE_SUBDIR=	Unicode/FABPOT
+MASTER_SITE_SUBDIR=	CPAN:FABPOT
 PKGNAMEPREFIX=	p5-
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Perl extension to deal with IMAP UTF-7
 
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
 BUILD_DEPENDS=	p5-Unicode-String>=0:${PORTSDIR}/converters/p5-Unicode-String
-RUN_DEPENDS:=	${BUILD_DEPENDS}
+RUN_DEPENDS=	p5-Unicode-String>=0:${PORTSDIR}/converters/p5-Unicode-String
 
 PERL_CONFIGURE=	yes
 
 MAN3=		Unicode::IMAPUtf7.3
 
 post-extract:	# breaks non-root build otherwise
-	${CHMOD} u+x ${WRKSRC}
-	${CHMOD} u+x ${WRKSRC}/t ${WRKSRC}/lib
-	${CHMOD} u+x ${WRKSRC}/lib/Unicode
+	@${FIND} ${WRKSRC} -type d | ${XARGS} ${CHMOD} a+rx
 
 .include <bsd.port.mk>

Modified: head/converters/p5-Unicode-IMAPUtf7/pkg-plist
==============================================================================
--- head/converters/p5-Unicode-IMAPUtf7/pkg-plist	Tue May 14 16:19:38 2013	(r318169)
+++ head/converters/p5-Unicode-IMAPUtf7/pkg-plist	Tue May 14 16:30:01 2013	(r318170)
@@ -1,7 +1,5 @@
-%%SITE_PERL%%/%%PERL_ARCH%%/auto/Unicode/IMAPUtf7/.packlist
 %%SITE_PERL%%/Unicode/IMAPUtf7.pm
-@dirrmtry %%SITE_PERL%%/auto/Unicode/IMAPUtf7
-@dirrmtry %%SITE_PERL%%/auto/Unicode
-@dirrmtry %%SITE_PERL%%/Unicode
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Unicode/IMAPUtf7/.packlist
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Unicode/IMAPUtf7
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Unicode
+@dirrmtry %%SITE_PERL%%/Unicode
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"